Subject: Re: source address in assert packet.

From: [email-masked] (Billy Ng)
Date: Mon, 11 Oct 1999 14:44:02 -0400

> From [email-masked] Mon Oct 11 11:45:27 1999
> 
> > 3.5.1 Sending Asserts
> >
> >   The following Assert rules are provided when a multicast packet is
> >   received on an outgoing multi-access interface "I" of an existing
> >   active (S,G), (*,G) or (*,*,RP) entry:
> >
> >      1 Do unicast routing table lookup on source address from data
> >        packet, and send assert on interface "I" for source address in
> >        data packet; include metric preference of routing protocol and
> >        metric from routing table lookup.
>  ...
> 
> > 4.7 Assert Message
>  ...
> >       Encoded-Unicast-Source Address
> >             Source address from multicast datagram that triggered the
> >            Assert packet to be sent. The format for this address is
> >            given in the Encoded-Unicast-Address in 4.1.
> 
> 
>   Text in the draft requires source addresss in the assert packet to be that
> 
>   of source address in the data packet which triggered the assert.
>   
>   But to identify the RP in case of <*, *, RP> assert, isnt it required to 
>   have the source address in the assert packet be address of RP?
> 
>   Although not necessarily required for identification of <*, G> asserts
> (due
>   to R bit), is it also desirable to have RP address as the source address
> in 
>   case of <*, G> asserts? [ If I remember right, there was some discussion 
>   regarding this on the mailing list already. Archive is currently
> unavailable. 
>   Could someone recap? ]
> 
>   Thanks.
>   - Ravi Shekhar.
> 

Ravi,

Yes, this was brought up by Hal and me :)

See the original mail below and response from rusty: